package com.taauav.admin.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;

/**
 * 预警列表请求实体类
 *
 * @author daixiantong
 * @date 2020-05-22
 */
@Data
public class TauvWaterWarnDTO {
    /**
     * 预警编码
     */
    private String warnSn;

    /**
     * 区属id
     */
    private BigInteger driverArea;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 巡检时间（开始）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 巡检时间（结束）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;
}
