package com.taauav.admin.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 问题管理对象 tauv_inspect_question
 *
 * @author daixiantong
 * @date 20200518
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvInspectQuestion extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检河流ID
     */
    private Integer inspectDriverId;
    /**
     * 巡检图片文件ID
     */
    private Integer inspectFileId;
    /**
     * 问题单号
     */
    private String questionNo;
    /**
     * 指派负责人
     */
    private Integer assignUser;
    /**
     * 指派负责人联系方式
     */
    private String assignContact;
    /**
     * 指派备注
     */
    private String assignNote;
    /**
     * 指派时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date assignTime;
    /**
     * 处理人
     */
    private Integer handlerUser;
    /**
     * 处理反馈图片
     */
    private String handlerImage;
    /**
     * 处理结果
     */
    private String handlerResult;
    /**
     * 处理完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date handlerTime;
}