package com.taauav.front.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.entity.SysAdmin;
import com.taauav.common.bean.Response;
import com.taauav.common.util.ShiroUtils;
import com.taauav.front.entity.UserAdmin;
import com.taauav.front.service.IUserAdminService;
import com.taauav.front.service.IUserAuthRuleService;
import com.taauav.front.vo.UserAdminVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/front/user")
public class FrontUserController {

    @Autowired
    private IUserAdminService adminService;
    @Autowired
    private IUserAuthRuleService userAuthRuleService;
    @Autowired
    private Response response;

    /**
     * 登录用户的信息
     *
     * @return
     */
    @RequestMapping("/info")
    public Response info() {
        Integer adminId = ShiroUtils.getAdminId();
        UserAdminVo info = adminService.getAdminInfo(adminId);
        Map<String, Object> map = new HashMap<String, Object>();
        List<Map<String, Object>> ruleList = userAuthRuleService.getRuleList(info.getId());
        String permission = userAuthRuleService.getPermission(info);
        map.put("info", info);
//        map.put("ruleList",ruleList);
        map.put("permission", permission);
        return response.success(map);
    }

    /**
     * 获取所有菜单
     *
     * @return
     */
    @GetMapping("/authList")
    public Response authList() {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("mark", 1);
        wrapper.eq("status", 1);
        List<Map<String, Object>> list = userAuthRuleService.listMaps(wrapper);
        return response.success(list);
    }

}
