package com.taauav.front.controller;

import com.taauav.admin.service.ITauvDriverPointService;
import com.taauav.common.bean.Response;
import com.taauav.front.service.IUserInspectDriverService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 指挥大屏 - 任务管理 控制器
 *
 * @author daixiantong
 * @date 2020-05-21
 */
@RestController
@RequestMapping("/index/inspect")
public class IndexInspectController {
    @Autowired
    private IUserInspectDriverService inspectDriverService;

    /**
     * 统计任务数量
     * @return
     */
    @GetMapping("/count")
    public Response countInspect() {
        return inspectDriverService.countInspectNum();
    }

    /**
     * 任务管理列表
     * @return
     */
    @GetMapping("/list")
    public Response list(@RequestParam("type") Integer type) {
        return inspectDriverService.getInspectList(type);
    }
}
