package com.taauav.front.controller;

import com.taauav.common.bean.Response;
import com.taauav.common.core.mps.BaseQuery;
import com.taauav.front.dto.IndexQuestionDto;
import com.taauav.front.dto.inspectquestion.InspectQuestionDto;
import com.taauav.front.service.IUserInspectQuestionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 指挥大屏-问题清单 控制器
 *
 * @author daixiantong
 * @date 2020-05-20
 */
@RestController
@RequestMapping("/index/question")
public class IndexQuestionController {

    @Autowired
    private IUserInspectQuestionService questionService;

    /**
     * 问题管理列表
     * @param indexQuestionDto
     * @return
     */
    @GetMapping("/list")
    public Response questionList(IndexQuestionDto indexQuestionDto) {
        return questionService.selectIndexPage(indexQuestionDto);
    }

    /**
     * 获取问题详情
     * @param id
     * @return
     */
    @GetMapping("/detail")
    public Response getQuestionDetail(Integer id) {
        return questionService.getQuestionDetail(id);
    }

    /**
     * 派遣人员
     * @param inspectQuestionDto
     * @return
     */
    @PostMapping("/assign")
    public Response assign(@RequestBody InspectQuestionDto inspectQuestionDto) {
        return questionService.assign(inspectQuestionDto);
    }
}
