package com.taauav.front.service;

import com.taauav.admin.entity.TauvInspectQuestion;
import com.taauav.common.bean.Response;
import com.taauav.common.core.mps.BaseQuery;
import com.taauav.common.service.IBaseService;
import com.taauav.front.dto.IndexQuestionDto;
import com.taauav.front.dto.inspectquestion.InspectQuestionDealwithDto;
import com.taauav.front.dto.inspectquestion.InspectQuestionDto;
import com.taauav.front.query.UserInspectQuestionQuery;

/**
 * <p>
 * 问题管理 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public interface IUserInspectQuestionService extends IBaseService<TauvInspectQuestion> {

    /**
     * 获取巡检问题列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(UserInspectQuestionQuery query);

    /**
     * 巡检问题指派处理
     *
     * @param inspectQuestionDto 参数
     * @return
     */
    Response assign(InspectQuestionDto inspectQuestionDto);

    /**
     * 问题处理
     *
     * @param inspectQuestionDealwithDto
     * @return
     */
    Response dealWith(InspectQuestionDealwithDto inspectQuestionDealwithDto);

    /**
     * 获取问题详情
     *
     * @param id 问题ID
     * @return
     */
    Response detail(Integer id);

    /**
     * 标记完成
     *
     * @param id 问题ID
     * @return
     */
    Response finished(Integer id);

    /**
     * 获取指挥大屏问题清单分页列表数据
     * @param indexQuestionDto
     * @return
     */
    Response selectIndexPage(IndexQuestionDto indexQuestionDto);

    /**
     * 获取指挥大屏问题详情
     * @param id
     * @return
     */
    Response getQuestionDetail(Integer id);
}
