package com.taauav.front.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.admin.entity.TauvDriverPoint;
import lombok.Data;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 指挥大屏-任务管理列表返回结果实体类
 *
 * @author daixiantong
 * @date 2020-05-21
 */
@Data
public class IndexInspectListVo {

    /**
     * 任务id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 河湖id
     */
    private Integer driverId;
    /**
     * 河湖名称
     */
    private String driverName;
    /**
     * 区属名称
     */
    private String areaName;
    /**
     * 巡检日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inspectTime;
    /**
     * 起点
     */
    private String startPoint;
    /**
     * 终点
     */
    private String endPoint;
    /**
     * 状态值
     */
    private Integer status;
    /**
     * 状态描述
     */
    private String statusText;
    /**
     * 直播地址
     */
    private String liveUrl;

    public Map<String, String> statusList() {
        Map<String, String> map = new HashMap<>();
        map.put("1", "待分配");
        map.put("2", "待执行");
        map.put("3", "执行中");
        map.put("4", "已完成");
        map.put("5", "复核中");
        map.put("6", "复核完成");
        return map;
    }
}
